Name:          jamonapi
Version:       2.7
Release:       %mkrel 1
Summary:       JAMon Java Application Monitor
Group:         Development/Java
License:       BSD
URL:           http://jamonapi.sourceforge.net/
# cvs -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi login
# cvs -z3 -d:pserver:anonymous@jamonapi.cvs.sourceforge.net:/cvsroot/jamonapi export -r v2_70 jamonapi
# tar czf jamonapi-2.7-src-cvs.tar.gz jamonapi
Source0:       jamonapi-2.7-src-cvs.tar.gz
Source2:       jamonapi-2.7.pom
Source3:       jamontomcat-2.7.pom

Patch0:        jamonapi-2.7-JAMonDataSource.patch
Patch1:        jamonapi-2.7-source15.patch
Patch2:        jamonapi-2.7-JAMonTomcat4Valve.patch

BuildRequires: jpackage-utils
BuildRequires: java-devel

BuildRequires: ant
BuildRequires: geronimo-interceptor-3.0-api
BuildRequires: hsqldb
BuildRequires: jakarta-oro
BuildRequires: jetty
BuildRequires: liblog4j-java
BuildRequires: servlet25
BuildRequires: tomcat6-lib

Requires:      geronimo-interceptor-3.0-api
Requires:      hsqldb
Requires:      jakarta-oro
Requires:      liblog4j-java
Requires:      servlet25

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
The Java Application Monitor (JAMon) is a free, simple,
high performance, thread safe, Java API that allows
developers to easily monitor production applications.
JAMon can be used to determine application performance
bottlenecks, user/application interactions, and application
scalability. JAMon gathers summary statistics such as hits,
execution times (total, average, minimum, maximum, standard
deviation), and simultaneous application requests. JAMon
statistics are displayed in the clickable JAMon Report.

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Java
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%package manual
Group:         Development/Java
Summary:       Documents for %{name}

%description manual
This package contains documents for %{name}.

%prep
%setup -q -n %{name}
for j in $(find . -name "*.jar"); do
   mv $j $j.no
done
# java 1.6
%patch0 -p0
%patch1 -p0
# tomcat 6
%patch2 -p0

rm -rf lib/ant.jar
ln -sf $(build-classpath ant) lib/ant.jar
ln -sf $(build-classpath tomcat6/catalina) lib/catalina.jar
ln -sf $(build-classpath tomcat6/catalina) lib/catalina_tomcat4.jar
ln -sf $(build-classpath tomcat6/catalina) lib/catalina-optional.jar
#fdsapi-1.2.jar.no
ln -sf $(build-classpath hsqldb) lib/hsqldb.jar
ln -sf $(build-classpath oro) lib/jakarta-oro-2.0.8.jar
ln -sf $(build-classpath geronimo-interceptor-3.0-api) lib/javaee.jar
ln -sf $(build-classpath jetty/jetty) lib/jetty-6.1.5.jar
ln -sf $(build-classpath jetty/jetty-util) lib/jetty-util-6.1.5.jar
ln -sf $(build-classpath log4j) lib/log4j-1.2.14.jar
ln -sf $(build-classpath tomcat6-servlet-2.5-api) lib/servlet-api.jar

rm -rf dist/jamon-%{version}.jar*
rm -rf dist/jamontomcat-%{version}.jar*

%build

export CLASSPATH=
ant -f src/ant/build.xml dist javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 dist/jamon-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-%{version}.jar
install -m 644 dist/jamontomcat-%{version}.jar \
  %{buildroot}%{_javadir}/%{name}-tomcat-%{version}.jar

(
  cd %{buildroot}%{_javadir}
  for jar in *-%{version}.jar; do
    ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
  done
)

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE2} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_to_maven_depmap com.jamonapi jamon %{version} JPP %{name}
install -m 644 %{SOURCE3} %{buildroot}%{_mavenpomdir}/JPP-%{name}-tomcat.pom
%add_to_maven_depmap com.jamonapi jamontomcat %{version} JPP %{name}-tomcat

mkdir -p %{buildroot}%{_datadir}/%{name}
install -m 644 dist/jamon.war %{buildroot}%{_datadir}/%{name}/

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr src/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-tomcat-%{version}.jar
%{_javadir}/%{name}-tomcat.jar
%{_datadir}/%{name}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc src/JAMonUsersGuide/JAMonLicense.html

%files javadoc
%{_javadocdir}/%{name}

%files manual
%doc src/JAMonUsersGuide


%changelog

* Wed Oct 26 2011 gil <gil> 2.7-1.mga2
+ Revision: 158306
- imported package jamonapi

